/* barra de scroll */
.custom-scrollbar::-webkit-scrollbar {
    width: 10px;
}

.custom-scrollbar::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
    background: #888;
}

.custom-scrollbar::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* barra de scroll */

/* navbar */
header {
    position: fixed;
    z-index: 1000;
    width: 100%;
}

.nav-rojo {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #8a0000;
    height: 100%;
    /* Asegura que el div ocupe todo el espacio vertical disponible */
}

.nr-p {
    color: #f5ce4a;
    text-align: center;
    font-size: 1rem;
    margin: 0;
    /* Elimina los márgenes predeterminados del párrafo */
}

.nr-span {
    font-weight: 700;
}

.navbar {
    top: 0px;
    left: 0px;
    right: 0px;
    background: #fff;
    z-index: 1000;
    border-bottom: 1px solid #f1f1f1;
}


.nav-ul {
    display: flex;
    justify-content: space-around;
    align-items: center;
    list-style-type: none;
    padding: 20px;
    width: 100%;
}

.nav-ul,
.nav-li {
    margin: 0 10px;
}

.nav-li {
    display: inline;
}

.nav-img-li {
    margin-right: auto;
}

.nav-img {
    width: 150px;
}

.nav-search {
    background-image: url(/frontend/resources/img/search.png);
    background-repeat: no-repeat;
    background-position: right 5px center;
    background-size: 35px;
    border-radius: 20px;
    background-color: #eaeaea !important;
    border: none !important;
    width: 500px;
    height: 40px;
}

.nav-search::placeholder {
    color: #bababa;
    font-family: 'poppins', sans-serif;
    font-size: .8rem;
    font-weight: 600;
    padding-left: 10px;
}

.nav-p {
    font-family: 'poppins', sans-serif;
    font-size: .5rem;
    color: #000;
    text-align: left;
    font-weight: 800;
}

.nav-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 1.2rem;
    color: #000;
    text-align: left;
    font-weight: 800;
    margin-top: -20px;
}

.nav-div {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.nav-i {
    color: #000;
    font-size: 1.3rem;
    margin: 10px;
}

.btn-car {
    background: #e12021;
    color: #fff;
    border-radius: 200px;
    padding: 5px;
    position: absolute;
    top: 0px;
    left: 35px;
    min-width: 20px;
    text-align: center;
    font-size: 0.6rem;
}

.nav-blanco {
    top: 0px;
    left: 0px;
    right: 0px;
    background: #fff;
    z-index: 1000;
    position: relative;
    border-bottom: 1px solid #f1f1f1;
}

.nb-ul {
    display: flex;
    justify-content: space-around;
    align-items: center;
    list-style-type: none;
    padding: 20px;
    width: 80%;
    margin: 0 auto;
}

.nb-a {
    color: #000;
    text-decoration: none;
    font-family: 'poppins', sans-serif;
    font-size: .9rem;
    font-weight: 800;
}

.hidden {
    display: none !important;
}

.subcategories-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    position: absolute;
    top: 205px;
    left: 0;
    width: 100%;
    background-color: #fff;
    padding: 20px;
    z-index: 1000;
    overflow: hidden;
    transition: height 0.5s ease-out;
    background-color: #ececec !important;
}

.subcategories-container.open {
    height: auto;
    /* Ajusta según el contenido */
}

.subcategory-item {
    padding: 10px;
    background-color: #f1f1f1;
    text-align: center;
    border-radius: 4px;
}

.subcategory-item:hover {
    background-color: #ddd;
}

.subcategory-ul {
    text-decoration: none;
    list-style-type: none;
    padding: 0;
}

.subcategory-li {
    padding: 5px 0;
}

.subcategory-link {
    text-decoration: none;
    color: #000;
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 500;

}

.subcategory-link:hover {
    color: #f8bc03;
    text-decoration: underline;
}

#search-results {
    display: none;
    justify-content: left;
    align-items: center;
    position: absolute;
    top: 205px;
    left: 0;
    width: 100%;
    background-color: #fff;
    border: 1px solid #cacaca;
    padding: 20px;
    z-index: 1000;
    overflow-x: auto;
}

.search-div {
    width: 200px;
    margin: 15px;
}

.search-img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    object-position: center;
}

.search-a {
    font-family: 'poppins', sans-serif;
    font-size: 0.7rem;
    color: #000;
    text-align: left;
    text-decoration: none;
}

@media screen and (min-width: 768px) {
    .nav-mobile {
        display: none;
    }

}

.nav-mobile {
    position: relative;
    top: 0px;
    left: 0px;
    right: 0px;
    background: #fff;
    z-index: 1000;
    border: 1px solid #f1f1f1;
}

.nav-button {
    background: #fff00000;
    border: none;
    margin-top: 10px;
    margin: 10px 30px 0px 0px;
}

.nav-button .line {
    width: 30px;
    height: 3px;
    background-color: #000;
    margin: 6px 0;
    transition: all 0.3s ease;
}

.nav-button.active .line:nth-child(1) {
    transform: rotate(-45deg) translate(-7px, 7px);
}

.nav-button.active .line:nth-child(2) {
    opacity: 0;
}

.nav-button.active .line:nth-child(3) {
    transform: rotate(45deg) translate(-7px, -7px);
}

.nav-mobile-img {
    width: 110px;
    display: block;
    margin: 20% auto;
}

.i-mobile {
    margin-top: 30px;
    font-size: 1.3rem;
    color: #000 !important;
}

.btn-mobile-car {
    background: #e12021;
    color: #fff;
    border-radius: 200px;
    padding: 5px;
    position: absolute;
    top: 25px;
    right: 30px;
    min-width: 20px;
    text-align: center;
    font-size: 13px;
    padding: 5px 10px;
}

.c-mobile {
    position: relative !important;
}

.nav-search-mobile {
    background-image: url('/frontend/resources/img/search.png');
    background-repeat: no-repeat;
    background-position: right 0px center;
    background-size: 25px;
    padding-left: 40px;
    border-radius: 20px;
    background-color: #eaeaea !important;
    border: none !important;
    margin-bottom: 20px;
}

#search-results2 {
    position: absolute;
    display: none;
    background: #fff;
    border: 1px solid #cacaca;
    align-items: center;
    justify-content: left;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    margin-top: 46px;
    margin-left: 0%;
}

#menu-list {
    position: absolute;
    z-index: 1000;
    width: 100%;
    background: #fff;
    left: 0%
}

.ul-mobile {
    margin-left: -30px;
}

.ul-mobile li {
    margin-left: -3px;
}

.a-mobile {
    color: #000;
    text-decoration: none;
    font-family: 'poppins', sans-serif;

}

/* navbar */

/* one section */

.one-section {
    width: 100%;
    height: auto;
    overflow: visible;
    position: relative;
    left: 0;
    right: 0;
    padding-top: 206px;
}

.os-img {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.os-div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
}

.os-p {
    font-family: 'poppins', sans-serif;
    font-size: 4rem;
    color: #fff;
    font-weight: 800;
}

.os-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #fff;
    width: 30%;
    margin: 0 auto;
}

.os-div2 {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 80%;
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.os-p3 {
    font-family: 'poppins', sans-serif;
    font-size: 1.5rem;
    color: #000;
    font-weight: 800;
}

.os-div3 {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.os-fc {
    background-color: #fff !important;
    padding: 10px !important;
    border-radius: 5px !important;
    margin: 10px !important;
    border: 1px solid #adadad !important;
    color: #adadad !important;
}

.form-control.os-fc {
    -webkit-appearance: menulist;
    -moz-appearance: menulist;
    appearance: menulist;
}

.os-button {
    background-color: #ffc001;
    color: #000;
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 700;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    margin: 10px;
}

/* one section */

/* two section */

.two-section {
    width: 100%;
    height: auto;
    overflow: visible;
    position: relative;
    left: 0;
    right: 0;
    margin-top: 10%;
}

.align-items-center {
    align-items: center !important;
    margin: 0 auto !important;
}

.ts-div-img {
    width: 100%;
    height: 200px;
    position: relative;
}

.ts-img {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.ts-div-p {
    position: absolute;
    bottom: 10px;
    right: 10px;
}

.ts-p {
    font-family: 'poppins', sans-serif;
    font-size: 1.5rem;
    color: #fff;
    font-weight: 800;
    margin: 0;
    white-space: pre-line;
}

.ts-div {
    width: 100%;
    height: auto;
    position: relative;
    margin-top: 5%;
    margin-left: 0;
    margin-right: 0;
}

.ts-img2 {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.ts-div2 {
    position: absolute;
    top: 50%;
    left: 20px;
    transform: translate(0, -50%);
    text-align: left;
    width: 100%;
}

.ts-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 2.2rem;
    line-height: 1;
    color: #fff;
    font-weight: 800;
    margin: 0;
    white-space: pre-line;
}

.ts-btn {
    position: relative;
    top: 30px;
    background-color: #ffc001;
    color: #000;
    font-family: 'poppins', sans-serif;
    font-size: .7rem;
    font-weight: 800;
    padding: 10px 25px;
    border: none;
    border-radius: 20px;
    text-decoration: none;
}

.ts-row2 {
    margin: 5% auto 0 !important;
}

.ts-p3 {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: left;
}

.ts-div3 {
    width: 100%;
    margin-top: 5%;
    height: auto;
    position: relative;
}

.ts-img3 {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.ts-div4 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
}

.ts-p4,
.ts-p5 {
    font-family: 'poppins', sans-serif;
    font-size: 2.5rem;
    color: #fff;
    font-weight: 800;
    margin: 0;
    white-space: pre-line;
}

.ts-p5 {
    font-size: 3.5rem;
}

.ts-div5 {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
}

.ts-p6 {
    font-family: 'poppins', sans-serif;
    font-size: .9rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: center;
    cursor: pointer;
}

.ts-seleccionado {
    background-color: #ffc001;
    padding: 10px 20px;
    border: none;
    border-radius: 20px;
    margin: 10px;
}

.ts-cmd {
    padding: 0px !important;
}

.ts-card {
    border: 1px solid #adadad !important;
    height: 250px;
    position: relative;
}

.ts-img4 {
    width: 100%;
    object-fit: cover;
    object-position: center;

}

.ts-p7 {
    font-family: 'poppins', sans-serif;
    color: #464646;
    margin: 0;
    text-align: left;
    font-size: .9rem;
}

.ts-p8 {
    font-family: 'poppins', sans-serif;
    color: #000;
    font-size: 1rem;
    font-weight: 800;
    text-align: left;
    margin-top: 5%;
}

.ts-buttons {
    position: absolute;
    bottom: 20px;
    right: 10px;
    width: auto !important;
}

.ths-button {
    background-color: #000;
    padding: 10px 15px;
    border-radius: 20px;
    color: #ffc001;
    font-size: .8rem;
    font-weight: 700;
    text-decoration: none;
    border: none !important;
    margin: 5px;
}

.ts-btn3 {
    background-color: #ffc001;
    padding: 10px 15px;
    border-radius: 20px;
    color: #000;
    font-size: .8rem;
    font-weight: 700;
    text-decoration: none;
    border: none !important;
    margin: 5px;
}

/* two section */

/* three section */

.three-section {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    background: #ececec;
    left: 0;
    right: 0;
    margin-top: 5%;
    padding-bottom: 5%;
}

.ths-p {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: left;
    margin-top: 5%;
    margin-bottom: 5%;
}

.ths-carousel {
    margin-top: 2.5%;
    margin-bottom: 2.5%;
}

.ths-card {
    border: 1px solid #dadada !important;
    height: 430px !important;
}

.ths-card-header {
    height: 245px;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
    border: none !important;
    background-color: #fff !important;
}

.ths-card-img {
    width: 80%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.ths-card-body {
    height: 140px !important;
}

.ths-card-p {
    font-family: 'poppins', sans-serif;
    color: #464646;
    margin: 0;
    font-size: .9rem;
    text-align: left;
}

.ths-card-p2 {
    color: #000;
    font-size: 1rem;
    font-weight: 800;
    text-align: left;
}

.ths-card-bottom {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 10px;
    margin-bottom: 2%;
}

.ths-button {
    background-color: #000;
    padding: 10px 15px;
    border-radius: 20px;
    color: #ffc001;
    margin: 0 auto;
    font-size: .8rem;
    font-weight: 700;
    text-decoration: none;
}

.ths-button3 {
    background-color: #000;
    padding: 10px 15px;
    border-radius: 20px;
    color: #ffc001;
    margin: 0 auto;
    font-size: .8rem;
    font-weight: 700;
    text-decoration: none;
}

.ths-button2 {
    background-color: #ffc001;
    padding: 10px 15px;
    border-radius: 20px;
    color: #000;
    margin: 0 auto;
    font-size: .8rem;
    font-weight: 700;
    text-decoration: none;
}

.carousel-control-prev i,
.carousel-control-next i {
    color: #000;
    font-size: 2rem !important;
}

.carousel-control-next {
    right: -90px !important;
}

.carousel-control-prev {
    left: -90px !important;
}

/* three section */

/* four section */
.four-section {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    background: #ececec;
    left: 0;
    right: 0;
    margin-top: 5%;
    margin-bottom: 5%;
    padding-bottom: 5%;
}

.marca-oculta {
    display: none;
}

.fs-p {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: center;
    margin-top: 5%;
}

.fs-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 1.5rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: center;
    margin-bottom: 5%;
}

.fs-span {
    background-color: #ffc001;
    padding: 5px 20px;
}

.marca-oculta {
    display: none;
}

.fs-div {
    width: 250px;
    height: 150px;
    background-color: #fff;
    margin: 10px;
    padding: 20px;
    transition: box-shadow 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.fs-div:hover {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.fs-img {
    width: 90%;
    padding: 20px;
}

.fs-divbtn {
    width: 100%;
    margin-top: 5%;
}

.fs-button {
    background-color: #ffc001;
    padding: 10px 25px;
    border-radius: 10px;
    color: #000;
    margin: 0 auto;
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 700;
    text-decoration: none;
    border: none;
    display: block;
    margin: 0 auto;
}

/* four section */

/* five section */

.five-section {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    background: #fff;
    left: 0;
    right: 0;
    margin-top: 5%;
    margin-bottom: 5%;
}

.fis-img {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.fis-div {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
}

.fis-p {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #fff;
    font-weight: 800;
    margin: 0;
}

.fis-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #fff;
    margin: 0;
    margin-bottom: 5%;
}

.carousel-indicators [data-bs-target] {
    width: 12px;
    height: 12px;
    text-indent: 0;
    border-radius: 50%;
    background-color: #777;
    box-shadow: none;
    transition: background-color 0.6s ease;
}

.carousel-indicators .active {
    background-color: #fff;
}

.fis-i {
    color: #fff !important;
}

.fis-div2 {
    width: 100%;
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #fff;
    border-radius: 10px;
}

.fis-p3 {
    font-family: 'poppins', sans-serif;
    font-size: 1.3rem;
    color: #000;
    font-weight: 800;
    margin: 0;
}

.fis-p4 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #000;
    width: 90%;
    margin: 0 auto;
}

.fis-p5 {
    color: #ffc001;
}

/* five section */

/* six section */

.six-section {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: auto;
    padding: 20px;
    overflow: hidden;
    position: relative;
    background: #e12021;
    left: 0;
    right: 0;
    margin-top: 5%;
}

.ss-p {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #fff;
    font-weight: 800;
    margin: 0;
    text-align: left;
}

.ss-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #fff;
    margin: 0;
    white-space: pre-line;
    text-align: left;
}

.input-wrapper {
    position: relative;
    width: 90%;
}

.ss-input {
    padding-right: 100px !important;
    border: none !important;
    border-radius: 20px !important;
    padding: 10px !important;
}

.ss-button {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background: #ffc001;
    border: none;
    border-radius: 20px;
    padding: 5px 10px;
    color: #000;
    font-weight: 700;
    font-size: .9rem;
    font-family: 'poppins', sans-serif;
}

/* six section */

/* footer */

.footer {
    width: 100%;
    height: auto;
    background-color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px;
}

.whatsapp-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.w-img {
    width: 80px !important;
    height: 80px !important;
}

.footer-cmd {
    height: 290px;
    display: flex;
    justify-content: center;
    width: 100%;
    flex-direction: column;
}

.footer-img {
    width: 200px;
}

.footer-p {
    font-family: 'poppins', sans-serif;
    font-size: .9rem;
    color: #fff;
    text-align: left;
    margin: 10% 0;
}

.footer-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #fff;
    text-align: left;
    margin: 0;
    font-weight: 700;
    margin-bottom: 10px;
}

.footer-p3 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #fff;
    text-align: left;
    margin: 5px 0;
    white-space: pre-line;

}

.footer-ul {
    padding: 0px !important;
    list-style-type: none !important;
}

.footer-li {
    padding: 1px 0px !important;
}

.footer-a {
    text-decoration: none !important;
    color: #fff !important;
}

.footer-p4 {
    font-family: 'poppins', sans-serif;
    font-size: .8rem;
    color: #fff;
    text-align: center;
    display: block;
    margin: 10px auto;
    text-decoration: none;
}

/* footer */

/* productos one section */

.productos-one-section {
    width: 100%;
    height: auto;
    overflow: visible;
    position: relative;
    left: 0;
    right: 0;
    padding-top: 206px;
    padding-bottom: 5%;
}

.pos-div {
    width: 100%;
    height: auto;
    position: relative;
    background-color: #ececec;
    padding: 10px;
    margin-bottom: 10%;
}

.pos-div2 {
    display: flex;
    align-items: center;
}

.pos-a {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #464646;
    text-decoration: none;
    padding: 0px 1px;
}

.pos-a2 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #000;
    font-weight: 600;
    text-decoration: none;
    padding: 0px 1px;
}

.pos-p {
    font-family: 'poppins', sans-serif;
    font-size: 1.5rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: left;
    margin-top: 5%;
    margin-bottom: 10%;
}

.pos-div4 {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 50%;
}

#toggleDiv {
    cursor: pointer;
    border: 1px solid #ebebeb;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    margin: 10px;
    padding: 10px;
}

.togglep {
    margin: 0;
    font-family: 'poppins', sans-serif;
    color: #000;
    font-size: 1rem;
}


#contentDiv {
    transition: opacity 0.5s ease;
    opacity: 0;
    display: none;
}

.pos-ul {
    list-style-type: none;
}

.pos-li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 70%;
}

.form-check-input {
    order: 1;
    margin-top: -20px !important;
    width: 20px !important;
    height: 20px !important;
    border: 1px solid #ebebeb !important;
}

.pos-p2 {
    order: 2;
    font-size: 1rem;
    color: #000;
    font-family: 'poppins', sans-serif;
    font-weight: 500;
    min-width: 100px;
    margin-left: 20px;
}

.pos-p3 {
    order: 3;
    font-size: 1rem;
    color: #c4c4c4;
    font-family: 'poppins', sans-serif;
    font-weight: 500;
}

.pos-hr {
    border: 1px solid #d1d1d1;
}



#slider-rango-precio-container {
    position: relative;
    height: 2px;
    background: #aeaeae;
}

#slider-rango-precio-min,
#slider-rango-precio-max {
    position: absolute;
    -webkit-appearance: none;
    width: 100%;
    height: 20px;
    background: transparent;
    pointer-events: none;
    top: -8px;
}

#slider-rango-precio-min::-webkit-slider-thumb,
#slider-rango-precio-max::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #000;
    cursor: pointer;
    pointer-events: auto;
    z-index: 2;
}

#slider-rango-precio-track {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 2px;
    background: #000;
    transform: translateY(-50%);
}

#slider-rango-precio-track::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    background: black;
}

#slider-rango-precio-track::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 4px;
    background: #000;
    transform: translateY(-50%);
    z-index: 1;
}

.pos-div6 {
    width: 80%;
}

.pos-div5 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 5%;
}

.pos-precio {
    margin-top: 5%;
}

.pos-button {
    background-color: #ffc001;
    color: #000;
    font-size: .8rem;
    font-weight: 700;
    padding: 10px 20px;
    border: none;
    border-radius: 20px;
    margin: 20px;
}


.pos-p4 {
    font-family: 'poppins', sans-serif;
    font-size: 2.5rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: left;
    margin-top: 5%;
    margin-bottom: 5%;
}

.pos-p5 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: left;
    margin-bottom: 5%;
    white-space: pre-line;
    line-height: 1;
}

.span-pos-p5 {
    font-weight: 700;
    color: #a9a9a9;
}

.pos-card {
    border: 1px solid #dadada !important;
    height: 430px !important;
    margin-top: 5%;
}

.pagination-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.p-two-div {
    margin-top: 10%;
}

.p-two-a {
    text-decoration: none !important;
    color: black !important;
}

.p-two-a:hover {
    text-decoration: underline !important;
    color: #f8bc03 !important;
}

.p-two-a.active {
    color: #000 !important;
    background-color: #f8bc03;
    border-radius: 50%;
    height: 25px;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.modal-img {
    width: 100px;
    object-fit: cover;
    object-position: center;
    margin: 0 auto;
    display: block;
}

.modal-text {
    font-family: 'poppins', sans-serif;
    font-size: .8rem;
    font-weight: 700;
    color: #000;
    text-align: center;
}

.modal-close-button {
    position: absolute;
    top: 0;
    right: 0;
    border: none;
    background: none;
    margin-right: 10px;
    margin-top: 10px;
}

.modal-quote-button {
    display: block;
    width: 100%;
    text-align: center;
    background-color: #f8bc03;
    color: #000 !important;
    font-weight: 700;
    padding: 5px;
    border: none;
    border-radius: 20px;
    margin-top: 10px;
    text-decoration: none;
}

.modal-quote-button:hover {
    background-color: #f8bc03;
    color: #000;
}

.mi-modal {
    display: none;
    position: fixed;
    right: 20px;
    top: 150px;
    width: 200px;
    background-color: #fefefe;
    overflow: auto;
    z-index: 1000000;
}

.mi-modal-contenido {
    padding: 20px;
}

.mi-modal-cerrar {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.mi-modal-cerrar:hover,
.mi-modal-cerrar:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


.productos-one-banner {
    width: 100%;
    position: relative;
    left: 0;
    right: 0;
}

.pob-img {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.pob-marca {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
    z-index: 1;
}

.pob-marca2 {
    display: flex;
    margin: 0 auto;
    width: 200px;
    height: 200px;
    justify-content: center;
    align-items: center;
}

.pob-img2 {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.pob-p {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 600;
    text-align: center;
    color: #000;
    width: 90%;
}


/* productos one section */

/* ver producto one section */

.vpos-div {
    width: 90%;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

.vpos-img {
    width: 90%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.vpos-div2 {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    position: relative;
}


.vpos-img2 {
    width: 100%;
    height: auto;
    padding: 10px;
    object-fit: cover;

}

.vpos-img3 {
    position: absolute;
    width: 60%;
    height: auto;
    object-fit: cover;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

}

.selected-image {
    border: 1px solid #dbdbdb;
}

.vpos-info {
    margin-left: 10%;
}

.vpos-p {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #000;
    font-weight: 800;
    margin: 0;
    text-align: left;
}


.vpos-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #a9a9a9;
    font-weight: 800;
    text-align: left;
}

.vpos-p3 {
    width: 80%;
    font-size: 1rem;
}

.vpos-a {
    background-color: #ffc001;
    color: #000;
    font-size: 1rem;
    font-weight: 700;
    padding: 15px 20px;
    border: none;
    border-radius: 25px;
    text-decoration: none;
}

.vpos-hr {
    margin-top: 10%;
    border: 1px solid #dbdbdb;
    margin-bottom: 10%;
}

.vpos-div3 {
    width: 100%;
    display: block;
    margin: 10% 0;
}

.vpos-div4 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 60%;
}

.vpos-p4 {
    font-family: 'poppins', sans-serif;
    font-size: 1.5rem;
    color: #5d5d5d;
    font-weight: 800;
    margin: 0;
    text-align: left;
    cursor: pointer;
}

.vpos-seleccionado {
    color: #f8bc03;
    cursor: pointer;
}

.vpos-hr2 {
    border: 1px solid #dbdbdb;
    margin-bottom: 3%;
}

.vpos-p5 {
    width: 60%;
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
}

.vpos-p6 {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    color: #000;
    font-weight: 800;
    margin-bottom: 5%;
    text-align: left;
}

/* ver producto one section */

/* catalogo one section */
.catalogo-one-section {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    left: 0;
    right: 0;
    padding-top: 206px;
    padding-bottom: 5%;
}

.co-card {
    background-color: #eaeaea !important;
    border-radius: 10px;
    margin: 10px;
    padding: 20px;
    border: none !important;
    width: 500px;
    height: 300px !important;
    display: flex;
    justify-content: center;
    border-radius: 0px !important;
}

.co-card-img {
    width: 250px !important;
    height: 300px !important;
    margin-left: -20px;
    object-fit: cover;
    object-position: center;
    border-radius: 0 !important;
}

.co-card-body {
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: left !important;
    margin-left: 25%;
}

.co-card-title {
    font-family: 'poppins', sans-serif;
    font-size: 1.3rem;
    font-weight: 800;
    color: #000;
}

.co-card-text {
    font-family: 'poppins', sans-serif;
    font-size: .67rem;
    color: #000;
    margin-top: -2%;
}

.co-button {
    position: absolute;
    right: 15px;
    bottom: 15px;
    display: flex;
    justify-content: flex-end;
}


.co-btn {
    background-color: #ffc001;
    color: #000;
    font-size: .8rem;
    font-weight: 700;
    padding: 10px 20px;
    border: none;
    border-radius: 20px;
    text-decoration: none;
}

/* catalogo one section */

/* cotizador one section */
.cotizador-section {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    left: 0;
    right: 0;
    padding-top: 206px;
    padding-bottom: 5%;
}

.cao-div {
    background-color: #EAEAEA;
}

.cao-div2 {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.cao-p {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    font-weight: 800;
    text-align: center;
    color: #000;
    margin-top: 5%;
    margin-bottom: -10%;
}

.cao-btn {
    border-radius: 5px !important;
    font-size: 1rem !important;
    font-weight: 700 !important;
    padding: 5px 30px !important;
    margin-top: 5%;
}

.cao-p2 {
    font-family: 'poppins', sans-serif;
    font-size: 2rem;
    font-weight: 800;
    text-align: center;
    color: #000;
    margin-top: 5%;
    margin-bottom: 5%;
}

.cao-div3 {
    display: flex;
    justify-content: flex-start;
    /* Cambia esto */
    align-items: center;
    margin-bottom: 5%;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.cao-img {
    width: 150px;
    height: 150px;
    margin-left: 0px;
}

.cao-div4 {
    margin-left: 20px;
    text-align: left;
}

.cao-p4 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 800;
    color: #000;
}

.cao-p5 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 600;
    color: #000;
}

.cao-div5 {
    display: flex;
}

.cao-p6 {
    font-family: 'poppins', sans-serif;
    font-size: 1rem;
    font-weight: 800;
    color: #495057;
    border: 1px solid #ced4da;
    background-color: #e9ecef;
    padding: 5px 10px;

}

.cao-select {
    height: 36px !important;
    border: 1px solid #ced4da !important;
    width: 90px;
}

.cao-btn2 {
    color: #ff0033 !important;
    font-size: 1rem !important;
    font-weight: 700 !important;
    margin-top: -4%;
}

.cao-btn2:hover {
    background-color: #ff0033 !important;
    color: #fff !important;
}


.cao-div6 {
    width: 100%;
    display: block;
    margin: 0 auto;
}

.cao-p7 {
    font-family: 'poppins', sans-serif;
    font-size: 3rem;
    font-weight: 800;
    color: #000;
}

.cao-p8 {
    font-family: 'poppins', sans-serif;
    font-size: 1.5rem;
    font-weight: 500;
    color: #000;
}

.cao-btn3 {
    background-color: #ffffff00 !important;
    border: 2px solid #e12021 !important;
    border-radius: 5px !important;
    font-size: 1.5rem !important;
    font-weight: 700 !important;
    color: #e12021 !important;
    padding: 5px 20px !important;
}

.cao-btn3:hover {
    background-color: #e12021 !important;
    color: #fff !important;
}


.cao-form {
    margin: 100px;
    margin-left: 10%;
}

.form-custom {
    margin: 10px;
    padding: 10px;
    background-color: #ffffff70 !important;
    border: none !important;
    border-radius: 0px !important;
}

.form-custom::placeholder {
    font-weight: 600;
    color: #000;
}

.form-check {
    margin: 10px;
}

.checkbox-custom {
    margin: 10px;
    padding: 10px;
    background-color: #ffffff00 !important;
    border: 2px solid #ffffff70 !important;
    border-radius: 0px !important;
}

.form-check-label {
    font-family: 'poppins';
    font-size: .8rem;
    color: #fff;
    width: 80%;
}

.form-check-label2 {
    font-family: 'poppins';
    font-size: .8rem;
    color: #56595C;
    width: 90%;
}

.checkbox-custom2 {
    margin: 10px;
    padding: 10px;
    background-color: #ffffff00 !important;
    border: 2px solid #56595c52 !important;
    border-radius: 0px !important;
}

.btn-c-custom {
    float: right;
    background-color: #ffffff70 !important;
    border-radius: 0px !important;
    font-weight: 700 !important;
    color: #3c3e40 !important;
    padding: 10px;
}

/* cotizador one section */


/* resoluciones  */

@media screen and (min-width: 1000px) and (max-width: 1199px) {

    .nav-search {
        width: 400px !important;
    }

    .carousel-control-prev {
        left: -70px !important;
    }

    .carousel-control-next {
        right: -70px !important;
    }

    .ths-card-bottom {
        padding: 0;
    }

    .fs-div {
        width: 200px;
        height: 130px;
    }

    .fis-div {
        top: 45%;
    }

    .fis-p2 {
        margin-bottom: 3%;
    }

    .fis-div2 {
        width: 85%;
        height: 200px;
    }

    .cotizador-section {
        padding-top: 250px;
    }

    .co-card {
        width: 430px;
    }

    .co-card-img {
        width: 220px !important;
    }
}

@media screen and (min-width: 800px) and (max-width: 999px) {

    .nav-img {
        width: 140px;
    }

    .nav-search {
        width: 300px !important;
    }

    .nb-ul {
        width: 90%;
    }

    .os-div2 {
        width: 90%;
        padding: 10px;
    }

    .ts-div-img {
        height: auto;
        margin-top: 10%;
    }

    .ts-div2 {
        width: 90%;
        left: 15px;
    }

    .ts-p2 {
        font-size: 1.4rem;
    }

    .ts-p4,
    .ts-p5 {
        font-size: 1.5rem;
    }

    .ts-card {
        height: 300px;
    }

    .ths-card {
        height: 350px !important;
    }

    .ths-card-header {
        height: 160px;
    }

    .ths-card-body {
        height: auto !important;
    }

    .ths-card-bottom {
        padding: 0px;
    }

    .ts-btn3,
    .ths-button2 {
        padding: 5px 10px;
        font-size: .7rem;
        margin: 0px 5px;
        text-align: center;
    }

    .ths-button3,
    .ths-button {
        padding: 8px 10px;
        font-size: .7rem;
        font-weight: 700;
    }

    .fs-p {
        font-size: 1.8rem;
    }

    .fs-div {
        width: 150px;
        height: 150px;
        background-color: #fff;
        margin: 10px;
        padding: 0px;
    }

    .fis-div {
        top: 45%;
    }

    .fis-p2 {
        margin-bottom: 3%;
    }

    .fis-div2 {
        height: 190px;
    }

    .fis-p3 {
        font-size: 1rem;
    }

    .fis-p4 {
        font-size: .8rem;
    }

    .productos-one-section {
        padding-top: 200px;
    }

    .pos-card {
        height: 350px !important;
        width: 140px;
        margin-top: 10%;
    }

    .pos-div6 {
        width: 100%;
    }

    .pos-precio {
        white-space: nowrap;
    }

    #toggleDiv {
        width: 100%;
        margin: 10px;
        padding: 10px 0px;
    }

    .vpos-p,
    .vpos-p2 {
        font-size: 1.5rem;
    }

    .vpos-div4 {
        width: 85%;
    }

    .cotizador-section {
        padding-top: 250px;
    }

    .cao-p,
    .cao-p2 {
        font-size: 1.5rem;
    }

    .cao-form {
        margin: 40px;
    }

    .cao-img {
        width: 100px;
        height: 100px;
        margin-left: 0px;
    }

    .cao-p4 {
        font-size: .9rem;
    }

    .catalogo-one-section {
        padding-top: 250px;
    }

    .co-card {
        margin: 0px;
        padding: 0px;
        width: 340px;
        height: 250px !important;
        justify-content: normal;
    }

    .co-card-img {
        width: 156px !important;
        height: 250px !important;
        margin-left: 0px;
        object-fit: fill;
    }

    .co-card-body {
        margin-left: 15%;
    }

    .co-card-title {
        font-size: 1rem;
    }
}

@media screen and (min-width: 768px) and (max-width:799px) {

    .nav-img {
        width: 120px;
    }

    .nav-search {
        width: 250px !important;
    }

    .nb-ul {
        width: 100%;
    }


    .os-div2 {
        width: 90%;
        padding: 10px;
    }

    .ts-div-img {
        height: auto;
        margin-top: 20%;
    }


    .carousel-control-prev {
        left: -60px !important;
    }

    .carousel-control-next {
        right: -60px !important;
    }

    .ts-div2 {
        width: 90%;
        left: 15px;
    }

    .ts-p2 {
        font-size: 1.4rem;
    }

    .ts-p4,
    .ts-p5 {
        font-size: 1.5rem;
    }

    .ts-card {
        height: 300px;
    }

    .ths-card {
        height: 350px !important;
    }

    .ths-card-header {
        height: 160px;
    }

    .ths-card-body {
        height: auto !important;
    }

    .ths-card-bottom {
        padding: 0px;
    }

    .ts-btn3,
    .ths-button2 {
        padding: 5px 10px;
        font-size: .7rem;
        margin: 0px 5px;
        text-align: center;
    }

    .ths-button3,
    .ths-button {
        padding: 8px 10px;
        font-size: .7rem;
        font-weight: 700;
    }

    .fs-p {
        font-size: 1.8rem;
    }

    .fs-div {
        width: 150px;
        height: 150px;
        background-color: #fff;
        margin: 10px;
        padding: 0px;
    }

    .fis-div {
        top: 45%;
    }

    .fis-p2 {
        margin-bottom: 3%;
    }

    .fis-div2 {
        height: 160px;
    }

    .fis-p3 {
        font-size: 1rem;
    }

    .fis-p4 {
        font-size: .8rem;
    }

    .productos-one-section {
        padding-top: 200px;
    }

    .pos-card {
        height: 350px !important;
        width: 140px;
        margin-top: 10%;
    }

    .pos-div6 {
        width: 100%;
    }

    .pos-precio {
        white-space: nowrap;
    }

    #toggleDiv {
        width: 100%;
        margin: 10px;
        padding: 10px 0px;
    }

    .vpos-p,
    .vpos-p2 {
        font-size: 1.5rem;
    }

    .vpos-div4 {
        width: 85%;
    }

    .cotizador-section {
        padding-top: 250px;
    }

    .cao-p,
    .cao-p2 {
        font-size: 1.5rem;
    }


    .cao-form {
        margin: 40px;
    }

    .cao-img {
        width: 100px;
        height: 100px;
        margin-left: 0px;
    }

    .cao-p4 {
        font-size: .9rem;
    }

    .catalogo-one-section {
        padding-top: 250px;
    }

    .co-card {
        margin: 0px;
        padding: 0px;
        width: 340px;
        height: 250px !important;
        justify-content: normal;
    }

    .co-card-img {
        width: 156px !important;
        height: 250px !important;
        margin-left: 0px;
        object-fit: fill;
    }

    .co-card-body {
        margin-left: 15%;
    }

    .co-card-title {
        font-size: 1rem;
    }


}

@media screen and (max-width: 767px) {

    .navbar,
    .nav-blanco {
        display: none !important;
    }

    .one-section {
        padding-top: 150px;
    }

    .os-img {
        width: 100%;
        object-fit: fill;
        object-position: center;
        height: 230px;
    }

    .os-div2 {
        position: relative;
        top: 0;
        left: 0;
        transform: none;
        text-align: center;
        width: 90%;
        margin: 10% auto;
        background-color: #fff;
        padding: 20px;
        border-radius: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
        z-index: 1;
    }

    .os-div3 {
        flex-direction: column;
    }

    .ts-div-img {
        margin-top: 5%;
    }

    .ts-img2 {
        object-fit: fill;
        object-position: center;
        height: 170px;
    }

    .ts-p2 {
        font-size: 1.2rem;
        filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.9));
    }

    .ts-img3 {
        width: 90%;
        margin: 0 auto;
        display: block;
    }

    .ts-p4,
    .ts-p5 {
        font-size: 2rem;
    }

    .ts-div5 {
        margin-top: 10%;
    }

    .ts-p6 {
        font-size: .7rem;
    }

    .ts-card {
        height: 340px;
    }

    .ts-img4 {
        width: 200px;
        display: block;
        margin: 0 auto;
    }

    .ths-p {
        text-align: center;
    }

    .ths-card {
        border: 1px solid #dadada !important;
        height: 430px !important;
        margin: 20px 0;
    }

    .ths-card-img{
        width: 234px !important;
    }

    .fs-div {
        margin: 10px auto;
        padding: 0px;
    }

    .five-section {
        background: #ececec;
    }

    .fis-img {
        display: none;
    }

    .fis-div {
        position: relative;
        top: 0;
        left: 0;
        transform: none;
        text-align: center;
        width: 100%;
        margin-bottom: 5%;
    }

    .fis-p,
    .fis-p2 {
        text-align: center;
        color: #000;
    }

    .fis-div2 {
        margin: 20px 0;
    }

    .carousel-control-next {
        right: 0px !important;
        display: none !important;
    }

    .carousel-control-prev {
        left: 0px !important;
        display: none !important;
    }

    .ss-p,
    .ss-p2 {
        margin: 10px 0;
        text-align: center;
    }

    .input-wrapper {
        margin: 0 auto;
    }

    .footer-cmd {
        height: auto;
        margin: 0 auto;
    }

    .footer-img {
        margin: auto;
    }

    .footer-p {
        text-align: center;
    }

    .co-card {
        border-radius: 10px;
        margin: 20px auto;
        border: none !important;
        width: 360px;
        height: 300px !important;
        justify-content: normal;
    }

    .co-card-img {
        width: 180px !important;
        height: 300px !important;
        margin-left: 0;
        object-fit: fill;
    }

    .cao-form {
        margin: 30px;
        margin-left: 0;
    }

    .cao-div4 {
        margin-left: 10px;
    }

    .productos-one-section {
        padding-top: 145px;
    }

    .pos-p {
        text-align: center;
    }

    #toggleDiv {
        margin: 10px auto;
    }

    .pos-div-4,
    .pos-div-6 {
        margin: 0 auto;
    }

    .pos-a,
    .pos-a2 {
        font-size: 11px;
    }

    .vpos-info {
        margin-left: 0;
    }

    .vpos-p {
        font-size: 1.5rem;
        margin: 5% 0;
    }

    .vpos-p2 {
        font-size: 1.5rem;
        margin: 5% 0;
    }

    .vpos-div4 {
        width: 100%;
    }

    .vpos-p4 {
        font-size: 1.2rem;
        margin: 0 14px;
    }

    .vpos-p6 {
        text-align: center;
    }

    .ts-div2 {
        width: auto;
    }

    .ts-buttons {
        bottom: 15px;
        right: 15px;
    }

    .pob-img {
        width: 100%;
        height: 120px;
        object-fit: fill;
        object-position: center;
    }

    .pob-marca2 {
        margin: 0;
        height: auto;
        justify-content: end;
        align-items: center;
        float: right;
    }

    .pcmd{
        display: none !important;
    }

}